UpdateController
PUT
/api/sites/{siteId}/controllers/{controllerId}
const url = 'https://demo.consystence.com/api/sites/example/controllers/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","platform":0,"firmwareVersion":"example","connection":{"protocol":"example","ipAddress":"example","port":1,"cipPath":"example","pollIntervalMs":1,"timeoutMs":1,"retryDelayMs":1,"maxRetries":1}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://demo.consystence.com/api/sites/example/controllers/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "platform": 0, "firmwareVersion": "example", "connection": { "protocol": "example", "ipAddress": "example", "port": 1, "cipPath": "example", "pollIntervalMs": 1, "timeoutMs": 1, "retryDelayMs": 1, "maxRetries": 1 } }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”siteId
required
string
controllerId
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
platform
integer format: int32
firmwareVersion
string
connection
object
protocol
required
string
ipAddress
required
string
port
integer format: int32
cipPath
string
pollIntervalMs
integer format: int32
timeoutMs
integer format: int32
retryDelayMs
integer format: int32
maxRetries
integer format: int32
Responses
Section titled “Responses”OK